@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --primary-backround-color: #010101;
  --sidebar-background-color: #1e1f20;
  --sidebar-box-background-color: #252627;
  --sidebar-box-outline-color: #2e3032;
  --button-background-color: #1b3416;
  --button-hover-background-color: #213d1b;

  --button-light-background-color: #3a3c3f;
  --button-light-hover-background-color: #4d5053;

  /* Font Colors */
  --primary-heading-color: #34a853;
  --primary-text-color: #f1f3f4;
  --primary-text-color-light: #9aa0a6;
  --primary-text-color-dark: #171717;
}

html {
  scroll-behavior: smooth;
}

h1,
h2,
h3,
h4,
h5,
h6,
span,
p,
input,
button,
textarea,
select,
label,
a {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

[hidden] {
  display: none !important;
}

body {
  height: 100vh;
  height: 100dvh;
  margin: 0;

  display: flex;
  align-items: stretch;
  justify-content: flex-start;

  font-family: "Roboto", sans-serif;
  background-color: var(--primary-backround-color);
}

main {
  flex: 1;
  height: 100%;

  display: flex;
  flex-direction: column;

  background-color: var(--sidebar-background-color);

  padding: 10px;
  box-sizing: border-box;
}

.authenticationHeader {
  height: auto;
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: center;

  padding: 12px;
  box-sizing: border-box;
}

.authenticationHeaderLogo {
  height: 36px;
  width: 65px;
}

.authenticationContent {
  flex: 1;
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: center;
}

.authenticationBox {
  height: auto;
  max-width: 340px;
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  padding: 0 15px;

  margin-bottom: 60px;
}

.authenticationTitle {
  font-size: 22px;
  font-weight: 500;
  color: var(--primary-text-color);
  text-align: center;
  margin-bottom: 45px;
}

.authenticationInputCon {
  height: auto;
  width: 100%;
  max-width: 340px;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 10px;
}

.authenticationInput {
  width: 100%;

  font-size: 14px;
  font-weight: 450;
  color: var(--primary-text-color-light);

  background-color: var(--sidebar-box-background-color);
  border: none;
  border-radius: 30px;
  outline: 1px solid var(--sidebar-box-outline-color);

  padding: 15px;
}

.authenticationInput::placeholder {
  font-size: 14px;
  font-weight: 450;
  color: var(--primary-text-color-light);
}

.authenticationSubmitBtn {
  height: auto;
  width: 100%;

  font-size: 14px;
  font-weight: 550;
  color: var(--primary-text-color-dark);

  background-color: var(--primary-text-color);
  border: none;
  border-radius: 30px;

  margin-top: 5px;

  padding: 15px;
  cursor: pointer;
  transition: background-color 0.15s ease-in-out;
}

.authenticationSubmitBtn:hover {
  background-color: #d5d5d5;
}

.authenticationLink {
  font-size: 14px;
  font-weight: 450;
  color: var(--primary-heading-color);
  text-align: center;
  text-decoration: none;

  margin-top: 30px;
}

.authenticationLinkU {
  text-decoration: underline;
}
